# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

Classes | Public Member Functions | Static Public Member Functions | Protected Attributes

# vl::LoadWriterDae Class Reference

The LoadWriterDae class is a ResourceLoadWriter capable of reading COLLADA files. More...

`#include <ioDae.hpp>`

Inheritance diagram for vl::LoadWriterDae:

List of all members.

## Classes

class | LoadOptions
| Loading options used by LoadWriterDae and DaeLoader. More...

## Public Member Functions

| LoadWriterDae ()
ref< ResourceDatabase > | loadResource (const String &path) const
ref< ResourceDatabase > | loadResource (VirtualFile *file) const
bool | writeResource (const String &, ResourceDatabase *) const
| Not supported yet.
bool | writeResource (VirtualFile *, ResourceDatabase *) const
| Not supported yet.
const LoadOptions * | loadOptions () const
LoadOptions * | loadOptions ()

## Static Public Member Functions

static VLGRAPHICS_EXPORT ref < ResourceDatabase > | load (const String &path, const LoadOptions *options)
static VLGRAPHICS_EXPORT ref < ResourceDatabase > | load (VirtualFile *file, const LoadOptions *options)

## Protected Attributes

ref< LoadOptions > | mLoadOptions

## Detailed Description

The LoadWriterDae class is a ResourceLoadWriter capable of reading COLLADA files.

Definition at line 48 of file ioDae.hpp.

## Constructor & Destructor Documentation

vl::LoadWriterDae::LoadWriterDae | ( | ) | `[inline]`

Definition at line 153 of file ioDae.hpp.

References mLoadOptions.

## Member Function Documentation

ref< ResourceDatabase > LoadWriterDae::load | ( | const String & | path,
|  | const LoadOptions * | options
| ) |  | `[static]`

Definition at line 38 of file ioDae.cpp.

References vl::defFileSystem(), vl::Log::error(), vl::ref< T >::get(), vl::FileSystem::locateFile(), and NULL.

Referenced by loadResource().

ref< ResourceDatabase > LoadWriterDae::load | ( | VirtualFile * | file,
|  | const LoadOptions * | options
| ) |  | `[static]`

Definition at line 51 of file ioDae.cpp.

References vl::DaeLoader::load(), vl::DaeLoader::resources(), and vl::DaeLoader::setLoadOptions().

ref<ResourceDatabase> vl::LoadWriterDae::loadResource | ( | const String & | path ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 158 of file ioDae.hpp.

References load(), and loadOptions().

ref<ResourceDatabase> vl::LoadWriterDae::loadResource | ( | VirtualFile * | file ) | const`[inline, virtual]`

Implements vl::ResourceLoadWriter.

Definition at line 163 of file ioDae.hpp.

References load(), and loadOptions().

bool vl::LoadWriterDae::writeResource | ( | const String & | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 169 of file ioDae.hpp.

bool vl::LoadWriterDae::writeResource | ( | VirtualFile * | ,
|  | ResourceDatabase * |
| ) |  | const`[inline, virtual]`

Not supported yet.

Implements vl::ResourceLoadWriter.

Definition at line 175 of file ioDae.hpp.

const LoadOptions* vl::LoadWriterDae::loadOptions | ( | ) | const`[inline]`

Definition at line 182 of file ioDae.hpp.

References vl::ref< T >::get(), and mLoadOptions.

Referenced by loadResource().

LoadOptions* vl::LoadWriterDae::loadOptions | ( | ) | `[inline]`

Definition at line 184 of file ioDae.hpp.

References vl::ref< T >::get(), and mLoadOptions.

## Member Data Documentation

ref<LoadOptions> vl::LoadWriterDae::mLoadOptions`[protected]`

Definition at line 187 of file ioDae.hpp.

Referenced by loadOptions(), and LoadWriterDae().

The documentation for this class was generated from the following files:

- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/ioDae.hpp
- D:/VL/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vlGraphics/plugins/COLLADA/ioDae.cpp

Visualization Library v2011.09.1162 Reference Documentation
Copyright 2005-2011 Michele Bosi. All rights reserved.
Updated on Thu Jan 26 2012 00:44:41.
Permission is granted to use this page to write and publish articles regarding Visualization Library.